---
# tasks file for roles/aci_physical_interfaces
- name: Get Fabric Interface Faults
  cisco.aci.aci_rest:
    host: "{{ apic_host }}"
    username: "{{ user_var }}"
    password: "{{ user_pass }}"
    validate_certs: "{{ validate_certs }}"
    use_ssl: "{{ use_ssl }}"
    use_proxy: "{{ use_proxy }}"
    method: get
    timeout: 700
    path: /api/node/class/faultRecord.json?order-by=faultRecord.created|desc&page=0&query-target-filter=and(or(wcard(faultRecord.affected,"/sys/phys-\[eth1/"),wcard(faultRecord.affected,"/sys/aggr-\[po"),wcard(faultRecord.affected,"/sys/vpc/inst/")),ge(faultRecord.created,"{{ item_time }}"))
  register: aci_fabric_interface_faults_result